using System.ComponentModel;
using System.Windows.Forms;

namespace MaterialSkin.Controls
{
    public sealed class MaterialDivider : Control, IMaterialControl
    {
        [Browsable(false)]
        public int Depth { get; set; }
        [Browsable(false)]
        public MaterialSkinManager SkinManager => MaterialSkinManager.Instance;
        [Browsable(false)]
        public MouseState MouseState { get; set; }

        public MaterialDivider()
        {
            SetStyle(ControlStyles.SupportsTransparentBackColor, true);
            
        }

        protected override void OnPaintBackground(PaintEventArgs pevent)
        {
            BackColor = SkinManager.ColorScheme.PrimaryColor;
            base.OnPaintBackground(pevent);
        }
    }
}
